package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcLdInfo;
import com.ruoyi.szxc.mapper.SzxcLdInfoMapper;
import com.ruoyi.szxc.service.ISzxcLdInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 楼栋信息Service业务层处理
 * 
 * @author hs
 * @date 2024-03-16
 */
@Service
public class SzxcLdInfoServiceImpl implements ISzxcLdInfoService 
{
    @Autowired
    private SzxcLdInfoMapper szxcLdInfoMapper;

    /**
     * 查询楼栋信息
     * 
     * @param id 楼栋信息主键
     * @return 楼栋信息
     */
    @Override
    public SzxcLdInfo selectSzxcLdInfoById(Long id)
    {
        return szxcLdInfoMapper.selectSzxcLdInfoById(id);
    }

    /**
     * 查询楼栋信息列表
     * 
     * @param szxcLdInfo 楼栋信息
     * @return 楼栋信息
     */
    @Override
    @DataScope(deptAlias = "l")
    public List<SzxcLdInfo> selectSzxcLdInfoList(SzxcLdInfo szxcLdInfo)
    {
        return szxcLdInfoMapper.selectSzxcLdInfoList(szxcLdInfo);
    }

    /**
     * 新增楼栋信息
     * 
     * @param szxcLdInfo 楼栋信息
     * @return 结果
     */
    @Override
    public int insertSzxcLdInfo(SzxcLdInfo szxcLdInfo)
    {
        szxcLdInfo.setCreateTime(DateUtils.getNowDate());
        return szxcLdInfoMapper.insertSzxcLdInfo(szxcLdInfo);
    }

    /**
     * 修改楼栋信息
     * 
     * @param szxcLdInfo 楼栋信息
     * @return 结果
     */
    @Override
    public int updateSzxcLdInfo(SzxcLdInfo szxcLdInfo)
    {
        szxcLdInfo.setUpdateTime(DateUtils.getNowDate());
        return szxcLdInfoMapper.updateSzxcLdInfo(szxcLdInfo);
    }

    /**
     * 批量删除楼栋信息
     * 
     * @param ids 需要删除的楼栋信息主键
     * @return 结果
     */
    @Override
    public int deleteSzxcLdInfoByIds(Long[] ids)
    {
        return szxcLdInfoMapper.deleteSzxcLdInfoByIds(ids);
    }

    /**
     * 删除楼栋信息信息
     * 
     * @param id 楼栋信息主键
     * @return 结果
     */
    @Override
    public int deleteSzxcLdInfoById(Long id)
    {
        return szxcLdInfoMapper.deleteSzxcLdInfoById(id);
    }
}
